/* global fetch */
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _commentList = require('./comment-list');

var _commentList2 = _interopRequireDefault(_commentList);

var _commentForm = require('./comment-form');

var _commentForm2 = _interopRequireDefault(_commentForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CommentBox = function (_Component) {
  (0, _inherits3.default)(CommentBox, _Component);

  function CommentBox(props) {
    (0, _classCallCheck3.default)(this, CommentBox);

    var _this = (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(CommentBox).call(this, props));

    _this.state = { data: [] };
    return _this;
  }

  (0, _createClass3.default)(CommentBox, [{
    key: 'loadComments',
    value: function loadComments() {
      var _this2 = this;

      fetch(this.props.url).then(function (response) {
        return response.json();
      }).then(function (data) {
        _this2.setState({ data: data });
      }).catch(function (err) {
        console.error(_this2.props.url, err.toString());
      });
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this3 = this;

      this.loadComments();
      setInterval(function () {
        return _this3.loadComments();
      }, this.props.pollInterval);
    }
  }, {
    key: 'handleCommentSubmit',
    value: function handleCommentSubmit(comment) {
      var _this4 = this;

      var comments = this.state.data;
      var newComments = comments.concat([comment]);

      this.setState({ data: newComments });

      fetch(this.props.url, {
        method: 'post',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        body: (0, _stringify2.default)(comment)
      }).then(function (response) {
        return response.json();
      }).then(function (data) {
        return _this4.setState({ data: data });
      }).catch(function (err) {
        return console.error(_this4.props.url, err.toString());
      });
    }
  }, {
    key: 'render',
    value: function render() {
      var _this5 = this;

      return _react2.default.createElement(
        'div',
        { className: 'comment-box' },
        _react2.default.createElement(
          'h1',
          null,
          'Comments!!!'
        ),
        _react2.default.createElement(_commentList2.default, { data: this.state.data }),
        _react2.default.createElement(_commentForm2.default, { onCommentSubmit: function onCommentSubmit(comment) {
            return _this5.handleCommentSubmit(comment);
          } })
      );
    }
  }]);
  return CommentBox;
}(_react.Component);

exports.default = CommentBox;


CommentBox.propTypes = {
  url: _react.PropTypes.string.isRequired,
  pollInterval: _react.PropTypes.number.isRequired
};
module.exports = exports['default'];
//# sourceMappingURL=comment-box.js.map